using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Zad1T
{
    class Program
    {
        static void Main(string[] args)
        {
            string input1 = Console.ReadLine();
            string[] nums = input1.Split(' ');
            int n = int.Parse(nums[0]); // broj komsija
            int x = int.Parse(nums[1]); // pozicija paje

            int[] indexes = new int[n]; // pozicije komsija

            string indexes_string = Console.ReadLine();
            string[] indexes_arr = indexes_string.Split(' ');

            // ucitavanje pozicija komsija 
            int i = 0;
            for (i = 0; i < indexes_arr.Length; i++)
            {
                indexes[i] = int.Parse(indexes_arr[i]);
            }

            Array.Sort(indexes);

            int offset = 0;
            int time = 0;           

            for (i = 0; i < indexes.Length; i++)
            {
                offset = indexes[i] - x;
                time += Math.Abs(offset);
                x += offset;
            }
            Console.WriteLine(time);

            Console.ReadKey();
        }
    }
}